List vulnerable dependencies
curl --request GET \
--url https://api.coderabbit.ai/v1/security/dependencies \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/security/dependencies"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/security/dependencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/security/dependencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/security/dependencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coderabbit.ai/v1/security/dependencies")
.header("x-coderabbitai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/security/dependencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"repoId": "<string>",
"repoName": "<string>",
"packageName": "<string>",
"packageVersion": "<string>",
"ecosystem": "<string>",
"lockfilePath": "<string>",
"maxSeverity": "<string>",
"advisorySeverity": "<string>",
"reachabilityStatus": "<string>",
"affected": true,
"advisoryCount": 123,
"state": "<string>",
"detectedAt": "<string>",
"fixGroupId": "<string>",
"fixGroupStatus": "<string>",
"fixGroupPrUrl": "<string>",
"advisories": [
{
"id": "<string>",
"vulnerabilityId": "<string>",
"severity": "<string>",
"cwe": "<string>",
"cveIds": [
"<string>"
],
"summary": "<string>",
"advisoryUrl": "<string>",
"fixedVersion": "<string>",
"reachability": {
"version": 1,
"status": "reached",
"targets": [
{
"kind": "callable",
"name": "<string>",
"phase": "install",
"status": "reached",
"source": "osv",
"paths": [
{
"explanation": "<string>",
"steps": [
null
]
}
]
}
],
"limitations": [
"<string>"
]
},
"state": "<string>"
}
],
"fixGroupTaskId": "<string>"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"total": 123,
"totalPages": 123
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}List vulnerable dependencies
GET
/
v1
/
security
/
dependencies
List vulnerable dependencies
curl --request GET \
--url https://api.coderabbit.ai/v1/security/dependencies \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/security/dependencies"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/security/dependencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/security/dependencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/security/dependencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coderabbit.ai/v1/security/dependencies")
.header("x-coderabbitai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/security/dependencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"repoId": "<string>",
"repoName": "<string>",
"packageName": "<string>",
"packageVersion": "<string>",
"ecosystem": "<string>",
"lockfilePath": "<string>",
"maxSeverity": "<string>",
"advisorySeverity": "<string>",
"reachabilityStatus": "<string>",
"affected": true,
"advisoryCount": 123,
"state": "<string>",
"detectedAt": "<string>",
"fixGroupId": "<string>",
"fixGroupStatus": "<string>",
"fixGroupPrUrl": "<string>",
"advisories": [
{
"id": "<string>",
"vulnerabilityId": "<string>",
"severity": "<string>",
"cwe": "<string>",
"cveIds": [
"<string>"
],
"summary": "<string>",
"advisoryUrl": "<string>",
"fixedVersion": "<string>",
"reachability": {
"version": 1,
"status": "reached",
"targets": [
{
"kind": "callable",
"name": "<string>",
"phase": "install",
"status": "reached",
"source": "osv",
"paths": [
{
"explanation": "<string>",
"steps": [
null
]
}
]
}
],
"limitations": [
"<string>"
]
},
"state": "<string>"
}
],
"fixGroupTaskId": "<string>"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"total": 123,
"totalPages": 123
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Authorizations
API key for authentication. You can create an API key from the CodeRabbit dashboard.
Query Parameters
Minimum string length:
1Required array length:
1 - 1000 elementsRequired string length:
1 - 255Required range:
0 < x <= 9007199254740991Required range:
1 <= x <= 100Required string length:
1 - 200Available options:
open, fixed, dismissed, all Was this page helpful?